Get a list of enumerations

Use this API to get a list of enumerations based on certain criteria.

Token Permissions: [ event_designer:access ]

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32
1 to 100
Defaults to 20

The number of enumerations to get per page.

int32
≥ 1
Defaults to 1

The page number to get.

ids
array of strings

The IDs of the enumerations.

ids
string

The application domain ID of the enumerations.

applicationDomainIds
array of strings

Match only enumerations in the given application domain ids.

applicationDomainIds
names
array of strings

The names of the enumerations.

names
boolean

Match only with shared or unshared enumerations.

string

The sorting criteria for the returned results. You can sort the results by query parameter in ascending or descending order.
Define the sort order using the following string: fieldname:asc/desc where:

  • fieldname — The field name of the query parameter to sort by.
  • asc — Sort the selected field name in ascending order.
  • desc — Sort the selected field name in descending order.

If the direction is not specified, the default is ascending.

You can use multiple query parameters to refine the sorting order.

string

Returns the entities that match the custom attribute filter.
To filter by custom attribute name and value, use the format: customAttributes=<custom-attribute-name>==<custom-attribute-value>.
To filter by custom attribute name, use the format: customAttributes=<custom-attribute-name>.
The filter supports the AND operator for multiple custom attribute definitions (not multiple values for a given definition). Use ; (semicolon) to separate multiple queries with AND operation.
Note: the filter supports custom attribute values containing only the characters [a-zA-Z0-9_\-\. ].

Headers
string
enum
Defaults to application/json;charset=UTF-8

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json;charset=UTF-8
application/json